package jrummikub.view;

import jrummikub.util.IEvent;
import jrummikub.util.IEvent1;
import jrummikub.util.LoginData;

/**
 * LoginPanel for network game
 * 
 */
public interface ILoginPanel {

	/**
	 * Player has offered all information and wants to connect
	 * 
	 * @return LoginData username, server, password, channel
	 */
	public IEvent1<LoginData> getLoginEvent();

	/**
	 * Emitted when the user cancels the login process
	 * 
	 * @return the event
	 */
	public IEvent getCancelEvent();

}